import javax.media.opengl.GLCanvas;

import com.sun.opengl.util.Animator;

import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class SubdivisaoTetraedro implements Runnable {
    static Thread displayT = new Thread(new SubdivisaoTetraedro());
    static boolean bQuit = false;
    
    public Animator animator;

    public static void main(String[] args) {
        displayT.start();
    }

    public void run() {
        Frame frame = new Frame("Subdiviso dos slidos platnicos - Tetraedro");
        GLCanvas canvas = new GLCanvas();
        canvas.addGLEventListener(new RenderizadorTetraedro());
        frame.add(canvas);
        frame.setSize(640, 480);
        
        animator = new Animator(canvas);
        frame.addWindowListener(new WindowAdapter()
        {
          public void windowClosing(WindowEvent e)
          {
            animator.stop();
            System.exit(0);
          }
        });
        frame.show();
        animator.start();        

        int size = frame.getExtendedState();
        size |= Frame.MAXIMIZED_BOTH;
        frame.setExtendedState(size);

        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                bQuit = true;
                displayT.stop();
                System.exit(0);
            }
        });
        frame.setVisible(true);
//      frame.show();
        canvas.requestFocus();
        while( !bQuit ) {
            canvas.display();
        }
    }
}
