package classesClausius;

public class Poligonos {

   public static int verticesTetraedro                  = 4;
   public static int facesTetraedro                     = 4;
   public static int arestasTetraedro                   = 6;
   public static ClausiusVetor arrayVerticesTetraedro[] = new ClausiusVetor[verticesTetraedro];   
   public static String[] arrayFacesTetraedro           = { "3 1 0 3" , 
	                                                        "3 2 0 1" , 
	                                                        "3 3 0 2" , 
	                                                        "3 3 2 1" };
   
   public static int verticesCubo                  = 8;
   public static int facesCubo                     = 6;
   public static int arestasCubo                   = 12;
   public static ClausiusVetor arrayVerticesCubo[] = new ClausiusVetor[verticesCubo];   
   public static String[] arrayFacesCubo           = { "4 0 1 3 2", 
	                                                   "4 2 3 7 6", 
	                                                   "4 4 6 7 5", 
	                                                   "4 0 4 5 1", 
	                                                   "4 1 5 7 3", 
	                                                   "4 0 2 6 4" };

   public static void carregaPoligono(String tipo) {   
	   if (tipo.equalsIgnoreCase("cubo")) {
		   arrayVerticesCubo[0] = new ClausiusVetor();
		   arrayVerticesCubo[0].x = 0.0D;	   
		   arrayVerticesCubo[0].y = 0.0D;
		   arrayVerticesCubo[0].z = 0.0D;

		   arrayVerticesCubo[1] = new ClausiusVetor();
		   arrayVerticesCubo[1].x = 0.0D;
		   arrayVerticesCubo[1].y = 0.0D;
		   arrayVerticesCubo[1].z = 1.0D;
		   
		   arrayVerticesCubo[2] = new ClausiusVetor();
		   arrayVerticesCubo[2].x = 0.0D;
		   arrayVerticesCubo[2].y = 1.0D;
		   arrayVerticesCubo[2].z = 0.0D;
		   
		   arrayVerticesCubo[3] = new ClausiusVetor();
		   arrayVerticesCubo[3].x = 0.0D;
		   arrayVerticesCubo[3].y = 1.0D;
		   arrayVerticesCubo[3].z = 1.0D;
		   
		   arrayVerticesCubo[4] = new ClausiusVetor();
		   arrayVerticesCubo[4].x = 1.0D;
		   arrayVerticesCubo[4].y = 0.0D;
		   arrayVerticesCubo[4].z = 0.0D;
		   
		   arrayVerticesCubo[5] = new ClausiusVetor();
		   arrayVerticesCubo[5].x = 1.0D;
		   arrayVerticesCubo[5].y = 0.0D;
		   arrayVerticesCubo[5].z = 1.0D;
		   
		   arrayVerticesCubo[6] = new ClausiusVetor();
		   arrayVerticesCubo[6].x = 1.0D;
		   arrayVerticesCubo[6].y = 1.0D;
		   arrayVerticesCubo[6].z = 0.0D;		   

		   arrayVerticesCubo[7] = new ClausiusVetor();
		   arrayVerticesCubo[7].x = 1.0D;
		   arrayVerticesCubo[7].y = 1.0D;
		   arrayVerticesCubo[7].z = 1.0D;		   
				   
	   } else if (tipo.equalsIgnoreCase("tetraedro")) {
		   arrayVerticesTetraedro[0]   = new ClausiusVetor();
		   arrayVerticesTetraedro[0].x = 0.0;
		   arrayVerticesTetraedro[0].y = 0.0;
		   arrayVerticesTetraedro[0].z = 2.0;
		   
		   arrayVerticesTetraedro[1]   = new ClausiusVetor();
		   arrayVerticesTetraedro[1].x =  1.632993;
		   arrayVerticesTetraedro[1].y = -0.942809;
		   arrayVerticesTetraedro[1].z = -0.666667;
		   
		   arrayVerticesTetraedro[2]   = new ClausiusVetor();
		   arrayVerticesTetraedro[2].x =  0.000000;
		   arrayVerticesTetraedro[2].y =  1.885618;
		   arrayVerticesTetraedro[2].z = -0.666667;
		   
		   arrayVerticesTetraedro[3]   = new ClausiusVetor();
		   arrayVerticesTetraedro[3].x = -1.632993;
		   arrayVerticesTetraedro[3].y = -0.942809;
		   arrayVerticesTetraedro[3].z = -0.666667;		   
	   }
   } 
}